package com.jeeplus.modules.projectrecord.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.modules.sys.entity.Office;

import java.util.Date;

/**
 * 项目计划Entity
 * @author 徐滕
 * @version 2020-05-13
 */
public class ProjectPlanInfo extends DataEntity<ProjectPlanInfo> {
    private Office company;
    private Office office;
    private String beginDate;  //开始时间
    private String endDate;   //结束时间
    private String projectId;  //项目id
    private String planUser;		// 上传人

    public Office getCompany() {
        return company;
    }

    public void setCompany(Office company) {
        this.company = company;
    }

    public Office getOffice() {
        return office;
    }

    public void setOffice(Office office) {
        this.office = office;
    }

    public String getPlanUser() {
        return planUser;
    }

    public void setPlanUser(String planUser) {
        this.planUser = planUser;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}
